{% extends 'services/base.html' %}

{% block container %}
    <div id="sec1" class="text-page">
        <div class="container">
            <div class="row">
                <div class="col-md-12 text-center">
                    <h1><strong>{{ category.name }}</strong></h1>
                </div>
            </div>
        </div><!-- /.container -->
    </div>
    <div id="sec2" class="">
        <div class="container">
            {% if category.description %}
                <div class="row">
                    <div class="col-md12">
                        <div class="panel panel-default">
                            <div class="panel-body">
                                <p>{{ category.short_description }}</p>
                                <small>{{ category.description|safe }}</small>
                            </div>
                            {% if category.ref %}
                                <div class="panel-footer text-right">
                                    <small>
                                        <cite>Source : <a href="{{ category.ref|default:'#' }}"
                                                          target="_blank">{{ category.ref }}</a></cite>
                                    </small>
                                </div>
                            {% endif %}
                        </div>
                    </div>
                </div>
            {% endif %}
            <div class="row">
                <div class="col-md12">
                    <div class="panel-group" id="panel-{{ category.id }}">
                        {% for service in category.category_public_tools %}
                            <div class="panel panel-default">
                                <div class="panel-heading">
                                    <a class="panel-title" data-toggle="collapse"
                                       data-parent="#panel-{{ category.id }}"
                                       href="#panel-element-{{ service.id }}">{{ service.name }}</a>
                                </div>
                                <div id="panel-element-{{ service.id }}"
                                     class="panel-collapse collapse {% if forloop.first %}in {% else %}out {% endif %}">
                                    <div class="panel-body">
                                        <p class="text-justify">
                                            {{ service.short_description|truncatechars:200 }}
                                        </p>
                                        <div class="text-right">
                                            <p>
                                                Updated : {{ service.updated }}
                                            </p>
                                            <a class="btn btn-default"
                                               href="{% url 'waves:service_details' service.id %}">Service page</a>
                                            <a class="btn btn-primary"
                                               href="{% url 'waves:job_submission' service.id %}">Online
                                                execution</a>
                                        </div>
                                    </div>
                                </div>
                                <div class="panel-footer">
                                    <div class="text-right">
                                        Version : {{ service.version }}
                                    </div>
                                </div>
                            </div>
                            {% empty %}
                            <div class="panel panel-default">
                                <div class="panel-body">
                                    <p class="alert alert-info">
                                        Sorry no service available in this category for the moment
                                    </p>
                                </div>
                            </div>
                        {% endfor %}
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}